<ion-header>
  <ion-navbar>
    <ion-title>
      Ionic Blank
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  barcodeScanner
  <div>
 <ion-input type="text" [{ngModel}]="encodText"></ion-input>
 <button ion-button block (click)="encode()">Encode</button>
</div>
<div>
  <button ion-button block (click)="scan()">Encode</button> 
  <div *nglf="scannerData.text">
    <label>your barcode is :</label><br>
    <span>{{scannerData.text}}</span>
  </div>
</div>
</ion-content>
